Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	GNOME Power Manager
Name: 		gnome-power-manager
Version: 	2.22.1
Release: 	1
License: 	GPL
Group: 		System/Configuration/Hardware
Source: 	gnome-power-manager-%{version}.tar.bz2
Patch0: 	no-background.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://gnome-power.sourceforge.net/
BuildPrereq: 	libgnomeui-devel
BuildPrereq: 	libglade-devel
BuildPrereq: 	libwnck-devel
BuildPrereq: 	hal-devel
BuildPrereq: 	dbus-devel
BuildPrereq: 	libnotify-devel
BuildRequires: 	scrollkeeper
BuildRequires: 	gnome-doc-utils
BuildRequires: 	desktop-file-utils
BuildRequires: 	gettext
BuildRequires: 	libtool
BuildRequires: 	cairo-devel
BuildRequires: 	perl-XML-Parser
Requires: 	gnome-icon-theme
Requires: 	hal
Requires: 	dbus-glib
Requires: 	dbus-x11 
Requires(post): scrollkeeper
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf
Requires(postun): scrollkeeper

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q
%patch0 -p1

%build
%configure --sysconfdir=%_sysconfdir/gnome --libexecdir=%_libdir/gnome-power-manager \
	--disable-scrollkeeper \
	--disable-actions-menu \
	--disable-icon-framing \
        --disable-policykit
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome                                     \
  --dir $RPM_BUILD_ROOT%{_datadir}/gdm/autostart/LoginWindow            \
  $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gnome-power-manager.desktop
desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/gnome/autostart         		\
  $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gnome-power-manager.desktop

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-power-manager.schemas >/dev/null || :
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%_libdir/gnome-power-manager/gnome-brightness-applet
%_libdir/gnome-power-manager/gnome-inhibit-applet
%{_datadir}/gnome-power-manager
%{_mandir}/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome/autostart/gnome-power-manager.desktop
%{_datadir}/gdm/autostart/LoginWindow/gnome-power-manager.desktop
%{_datadir}/applications/gnome-power-preferences.desktop
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/bonobo/servers/GNOME_BrightnessApplet.server
%{_libdir}/bonobo/servers/GNOME_InhibitApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_BrightnessApplet.xml
%{_datadir}/gnome-2.0/ui/GNOME_InhibitApplet.xml

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2.1-1
- Initial release